Compare commits

..

1 Commits

Author SHA1 Message Date
Gergely Polonkai e55593e173 Only update saved_data if the chart could be saved 2015-06-06 00:25:44 +02:00
3 changed files with 21 additions and 32 deletions

View File

@ -1,37 +1,26 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=$(dirname "$0")
test -n "$srcdir" || srcdir=.
olddir=$(pwd)
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
cd $srcdir
ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS"
(test -f configure.ac) || {
echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
exit 1
PKG_NAME="astrognome"
(test -f $srcdir/configure.ac \
&& test -f $srcdir/src/astrognome.c) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
}
# shellcheck disable=SC2016
PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
which gnome-autogen.sh || {
echo "gnome-autogen.sh not found, you need to install gnome-common"
exit 1
}
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** '$0' command line." >&2
echo "" >&2
fi
git submodule update --init --recursive
gtkdocize --copy || exit 1
autoreconf --verbose --force --install || exit 1
REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh
cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
if [ "$1" = "--help" ]; then exit 0 else
echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi

View File

@ -54,12 +54,12 @@ allCountries.txt: allCountries.zip
fi;
cities.txt: allCountries.txt
$(AM_V_GEN) $(AWK) -f $(VPATH)/geonames_process.awk allCountries.txt > $@
$(AM_V_GEN) $(AWK) -f geonames_process.awk allCountries.txt > $@
geodata.xml: countryInfo.txt timeZones.txt cities.txt
$(AM_V_GEN) if test -x "$(PERL)"; then \
if test "x$(have_geonames_perl_modules)" = "xyes" -o "x$(I_HAVE_PERL_MODULES)" = "xyes"; then \
$(PERL) $(VPATH)/geonames_process.pl; \
$(PERL) geonames_process.pl; \
else \
echo "XML::Writer and IO::File perl modules are required to process geonames data."; \
echo "configure reported they are not installed. If you are sure they are,"; \

View File

@ -1120,10 +1120,10 @@ ag_window_save_action(GSimpleAction *action,
_("Unable to save: %s"),
err->message
);
} else {
ag_db_chart_save_unref(priv->saved_data);
priv->saved_data = save_data;
}
ag_db_chart_save_unref(priv->saved_data);
priv->saved_data = save_data;
}
}